> ## Documentation Index
> Fetch the complete documentation index at: https://arizeai-433a7140.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# List all user API keys

> Retrieve API keys belonging to human users across the organization. System API keys are excluded. Restricted to admins.



## OpenAPI

````yaml get /v1/users/api_keys
openapi: 3.1.0
info:
  title: Arize-Phoenix REST API
  description: Schema for Arize-Phoenix REST API
  version: '1.0'
servers: []
security: []
paths:
  /v1/users/api_keys:
    get:
      tags:
        - api_keys
      summary: List all user API keys
      description: >-
        Retrieve API keys belonging to human users across the organization.
        System API keys are excluded. Restricted to admins.
      operationId: getAllUserApiKeys
      parameters:
        - name: cursor
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Cursor for pagination (a UserApiKey GlobalID).
            title: Cursor
          description: Cursor for pagination (a UserApiKey GlobalID).
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 1000
            exclusiveMinimum: 0
            description: The maximum number of API keys to return (at most 1000).
            default: 100
            title: Limit
          description: The maximum number of API keys to return (at most 1000).
      responses:
        '200':
          description: A paginated list of user API keys and their owners.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetAllUserApiKeysResponseBody'
        '401':
          content:
            text/plain:
              schema:
                type: string
          description: Unauthorized
        '403':
          content:
            text/plain:
              schema:
                type: string
          description: Forbidden
        '422':
          content:
            text/plain:
              schema:
                type: string
          description: Unprocessable Entity
components:
  schemas:
    GetAllUserApiKeysResponseBody:
      properties:
        data:
          items:
            $ref: '#/components/schemas/UserApiKey'
          type: array
          title: Data
        next_cursor:
          anyOf:
            - type: string
            - type: 'null'
          title: Next Cursor
      type: object
      required:
        - data
        - next_cursor
      title: GetAllUserApiKeysResponseBody
    UserApiKey:
      properties:
        id:
          type: string
          title: Id
        name:
          type: string
          title: Name
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        created_at:
          type: string
          format: date-time
          title: Created At
        expires_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Expires At
        user:
          $ref: '#/components/schemas/ApiKeyUser'
      type: object
      required:
        - id
        - name
        - created_at
        - user
      title: UserApiKey
    ApiKeyUser:
      properties:
        id:
          type: string
          title: Id
        username:
          type: string
          title: Username
        email:
          anyOf:
            - type: string
            - type: 'null'
          title: Email
      type: object
      required:
        - id
        - username
        - email
      title: ApiKeyUser

````